> For the complete documentation index, see [llms.txt](https://docs.taskade.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.taskade.com/developers/comprehensive-api-guide/agents.md).

# Agents

The **Intelligence Layer** is the brain of your application. It's where reasoning, logic, and autonomous action take place. This layer is powered by **Taskade's AI Agents**.

An Agent is more than just a chatbot. It is an autonomous worker that can be configured with a specific personality, skillset, and access to knowledge. You can use Agents to:

* **Power a Chatbot:** Provide intelligent, context-aware answers to user queries based on the app's Knowledge Layer.
* **Execute Complex Tasks:** Trigger agents via automations to perform multi-step operations like analyzing data, qualifying leads, or summarizing documents.
* **Collaborate with Humans:** Assign tasks to agents and have them work alongside your team members within a project.

These endpoints allow you to create, manage, and interact with the AI Agents that bring your applications to life.

### Learn More

* [**Custom AI Agents ›**](https://www.taskade.com/learn/agents/custom-agents)
* [**Tools for AI Agents ›**](https://www.taskade.com/learn/agents/agent-tools)

## Summary of Endpoints

### Look Up Public Agent by Public Agent ID

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/public-agents/{publicAgentId}" method="get" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Update Agent Public Access

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}/publicAccess" method="put" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Get Agent

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}" method="get" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Delete Agent

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}" method="delete" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Update Agent

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}" method="patch" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Get Public Agent

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}/public-agent" method="get" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Update Public Agent

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}/public-agent" method="patch" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Add Project to Agent Knowledge

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}/knowledge/project" method="post" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Add Media to Agent Knowledge

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}/knowledge/media" method="post" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Remove Project from Agent Knowledge

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}/knowledge/project/{projectId}" method="delete" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Remove Media from Agent Knowledge

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}/knowledge/media/{mediaId}" method="delete" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Get Agent Conversations

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}/convos/" method="get" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}

### Get Specific Agent Conversation

{% openapi src="/files/BofPKQdStkZSorv2iHCa" path="/agents/{agentId}/convos/{convoId}" method="get" expanded="true" %}
[api-0.1.0.json](https://884954080-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEOkDZjClZ0y8qSYnc7hO%2Fuploads%2Fgit-blob-9c5a76176f5c8981e6384d387b40d33e01dedddc%2Fapi-0.1.0.json?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.taskade.com/developers/comprehensive-api-guide/agents.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
